/**
 * \file Movable.h
 * \date 12.04.2003
 *
 * Interface for the general movable world object class
 */

#ifndef COMMON_WORLD_MOVABLE_H
#define COMMON_WORLD_MOVABLE_H

#include "Player/World/WorldObject.h"
#include "Common/World/Point.h"
#include "Common/World/Vector.h"

/**
 * \class Movable
 * \author Matus Horvath
 * \brief General movable world object
 */
class Movable : public WorldObject
{
public:
	Movable(World* w);
	Movable(const Movable&);
	virtual Movable& operator=(const Movable&);
	virtual ~Movable() {}
	
	virtual int GetAge() const { return age; }
	virtual void SetAge(int a) { age = a; }

	Point pos;
	Vector vel;

protected:
	int age;

};

#endif // COMMON_WORLD_Movable_H
